Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.assumedmatch
Class AssumedMatchManager

    java.lang.Object
      com.sun.mdm.index.assumedmatch.AssumedMatchManager

public class AssumedMatchManager
extends java.lang.Object

Data access class for potential assumed matches.

Constructor Summary
`AssumedMatchManager()` Creates a new instance of AssumedMatchManager

Method Summary
`void` | `addAssumedMatch(java.sql.Connection con, DecisionMakerStruct dms, java.lang.String systemCode, java.lang.String lid, java.lang.String transactionId)` Add assumed matches to the database
`int` | `countAssumedMatches(java.sql.Connection con, AssumedMatchSearchObject obj)` Count the assumed match records matching the search criteria.
`void` | `deleteAssumedMatch(java.sql.Connection con, java.lang.String assumedMatchId)` Delete assumed match from the database
`AssumedMatchIterator` | `lookupAssumedMatches(java.sql.Connection con, AssumedMatchSearchObject obj)` Search for assumed matches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssumedMatchManager

    public AssumedMatchManager()

  Creates a new instance of AssumedMatchManager

Method Detail

### addAssumedMatch

    public void addAssumedMatch(java.sql.Connection con,
                                DecisionMakerStruct dms,
                                java.lang.String systemCode,
                                java.lang.String lid,
                                java.lang.String transactionId)
                         throws AssumedMatchException

  Add assumed matches to the database

  Parameters:
    `dms` - Decision maker struct object
    `systemCode` - New system code
    `lid` - New LID
    `con` - Connection handle
    `transactionId` - Current transaction id
  Throws:
    `AssumedMatchException` - An error occured.

### countAssumedMatches

    public int countAssumedMatches(java.sql.Connection con,
                                   AssumedMatchSearchObject obj)
                            throws AssumedMatchException

  Count the assumed match records matching the search criteria. This does not handle EUID nor Source/LID search criteria.

  Parameters:
    `con` - Connection handle
  Returns:
    Count of the assumed match records matching the search criteria.
  Throws:
    `AssumedMatchException` - An error occured.

### deleteAssumedMatch

    public void deleteAssumedMatch(java.sql.Connection con,
                                   java.lang.String assumedMatchId)
                            throws AssumedMatchException

  Delete assumed match from the database

  Parameters:
    `con` - Connection handle
    `assumedMatchId` - Assumed match id to be deleted
  Throws:
    `AssumedMatchException` - An error occured.

### lookupAssumedMatches

    public AssumedMatchIterator lookupAssumedMatches(java.sql.Connection con,
                                                     AssumedMatchSearchObject obj)
                                              throws AssumedMatchException

  Search for assumed matches.

  Parameters:
    `obj` - Search object.
    `con` - Connection handle
  Returns:
    Iterator of search result.
  Throws:
    `AssumedMatchException` - An error occured.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.